Subject: Fw: [neon] Digest authentication with integrity protection

From: "Emanuel" <[email-masked]>
Date: Wed, 25 Sep 2002 03:16:08 -0400 (EDT)

Yup, digest-uri is defined to be Request-URI, which does include the
query part.  You should bring this up on http-wg, others may have
encountered this problem.

Regards,

joe
----- Original Message -----
From: "Joe Orton" <[email-masked]>
To: "Emanuel" <[email-masked]>
Sent: Tuesday, September 24, 2002 9:47 PM
Subject: Re: [neon] Digest authentication with integrity protection
On Tue, Sep 24, 2002 at 04:38:27PM +0200, Emanuel wrote:
> Thanks!
>
> I have a question for you, hope you can answer, of course I can compile
neon
> and try(or look at the sources), but that takes some times :-)
>
> For the digest authentication, does neon include the arguments in the
"uri"
> parameter in the Authorization request header?
> Like :
> 1°
> GET /test.html?arg1&arg2=1
> Authorization: Digest username="test", realm="digest", nonce="blabla",
> uri="/test.html" ...
> Or like:
> 2°
> GET /test.html?arg1&arg2=1
> Authorization: Digest username="test", realm="digest", nonce="blabla",
> uri="/test.html?arg1&arg2=1"
>
> I think the number 2 is correct, but internet explorer use the first :-(
>
> Thanks a lot!